List the deposits of a virtual account
curl --request GET \
--url https://api.kemycard.com/v1/virtual-accounts/{code}/deposits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/virtual-accounts/{code}/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/virtual-accounts/{code}/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/virtual-accounts/{code}/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/virtual-accounts/{code}/deposits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemycard.com/v1/virtual-accounts/{code}/deposits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/virtual-accounts/{code}/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"virtual_account_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "completed",
"amount": 500,
"currency": "EUR",
"sender_name": "Alice Martin",
"payment_rail": "sepa",
"reference": "Invoice 1042",
"usdc_received": 541.2,
"fee": 6.41,
"net_amount": 534.79,
"destination": {
"type": "wallet",
"wallet_code": "01a11628-4600-7e59-bd4a-01604c588373",
"blockchain": "solana",
"currency": "USDC",
"address": "CUSTOMER_DEPOSIT_ADDRESS"
},
"tx_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "PLAN_UPGRADE_REQUIRED",
"message": "This product is not included in the Découverte plan. Upgrade to a paid plan (Starter, Business or Premium) to use \"wallets\".",
"details": {
"plan": "decouverte",
"product": "wallets"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Virtual Accounts
List Deposits
Lists the deposits received on a virtual account, most recent first.
Each deposit is converted to USDC. The KemyCard fee of your plan is taken from the USDC received (Starter 1+11 + 0.75%, Premium $1 + 0.5%), the same for both destinations, and the net amount is sent to the destination of the account:
wallet: the net amount is credited to the balance of the USDC wallet on Solana of the customer, as for a wallet deposit (seeGET /wallets/{code}). Thewallet_codeof the customer is reported indestination.external_address: the net amount is sent on-chain in USDC on Solana.tx_hashis the transaction.
| Status | Meaning |
|---|---|
received | The bank transfer has been received |
converting | The funds are being converted to USDC |
sending | The net amount is being sent to the external address |
completed | The net amount has been credited or sent |
failed | The transfer to the external address failed. Our team is notified and retries it |
GET
/
virtual-accounts
/
{code}
/
deposits
List the deposits of a virtual account
curl --request GET \
--url https://api.kemycard.com/v1/virtual-accounts/{code}/deposits \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.kemycard.com/v1/virtual-accounts/{code}/deposits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.kemycard.com/v1/virtual-accounts/{code}/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kemycard.com/v1/virtual-accounts/{code}/deposits",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.kemycard.com/v1/virtual-accounts/{code}/deposits"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.kemycard.com/v1/virtual-accounts/{code}/deposits")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kemycard.com/v1/virtual-accounts/{code}/deposits")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": [
{
"code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"virtual_account_code": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "completed",
"amount": 500,
"currency": "EUR",
"sender_name": "Alice Martin",
"payment_rail": "sepa",
"reference": "Invoice 1042",
"usdc_received": 541.2,
"fee": 6.41,
"net_amount": 534.79,
"destination": {
"type": "wallet",
"wallet_code": "01a11628-4600-7e59-bd4a-01604c588373",
"blockchain": "solana",
"currency": "USDC",
"address": "CUSTOMER_DEPOSIT_ADDRESS"
},
"tx_hash": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"request_id": "a4f8e2c1b3d97056",
"mode": "test",
"timestamp": "2023-11-07T05:31:56Z"
},
"pagination": {
"page": 1,
"limit": 20,
"total": 42,
"pages": 3
}
}{
"success": false,
"error": {
"code": "PLAN_UPGRADE_REQUIRED",
"message": "This product is not included in the Découverte plan. Upgrade to a paid plan (Starter, Business or Premium) to use \"wallets\".",
"details": {
"plan": "decouverte",
"product": "wallets"
}
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": null
}
}Authorizations
API key (sk_test_... or sk_live_...)
Path Parameters
Code of the virtual account
Query Parameters
Page number
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100